diff options
author | James Falcon <james.falcon@canonical.com> | 2021-09-29 18:32:53 -0500 |
---|---|---|
committer | GitHub <noreply@github.com> | 2021-09-29 18:32:53 -0500 |
commit | ba083245537abd5bf5942fbe851e21eb8f245000 (patch) | |
tree | a66fcf2bed758cc46ba7a7a231937b9d03970566 /tests/cloud_tests/testcases.yaml | |
parent | 934c8d71fd99b2ca24db01ca853ff42faa88fb5e (diff) | |
download | vyos-cloud-init-ba083245537abd5bf5942fbe851e21eb8f245000.tar.gz vyos-cloud-init-ba083245537abd5bf5942fbe851e21eb8f245000.zip |
testing: remove cloud_tests (#1020)
Cloud tests have been replaced with integration tests
Diffstat (limited to 'tests/cloud_tests/testcases.yaml')
-rw-r--r-- | tests/cloud_tests/testcases.yaml | 50 |
1 files changed, 0 insertions, 50 deletions
diff --git a/tests/cloud_tests/testcases.yaml b/tests/cloud_tests/testcases.yaml deleted file mode 100644 index fb9a5d27..00000000 --- a/tests/cloud_tests/testcases.yaml +++ /dev/null @@ -1,50 +0,0 @@ -# ============================= Base Test Config ============================== -base_test_data: - script_timeout: 20 - enabled: True - required_features: [] - cloud_config: | - #cloud-config - collect_scripts: - cloud-init.log: | - #!/bin/sh - cat /var/log/cloud-init.log - cloud-init-output.log: | - #!/bin/sh - cat /var/log/cloud-init-output.log - instance-id: | - #!/bin/sh - cat /run/cloud-init/.instance-id - instance-data.json: | - #!/bin/sh - cat /run/cloud-init/instance-data.json - result.json: | - #!/bin/sh - cat /run/cloud-init/result.json - status.json: | - #!/bin/sh - cat /run/cloud-init/status.json - package-versions: | - #!/bin/sh - dpkg-query --show - build.info: | - #!/bin/sh - binfo=/etc/cloud/build.info - [ -f "$binfo" ] && cat "$binfo" || echo "N/A" - system.journal.gz: | - #!/bin/sh - [ -d /run/systemd ] || { echo "not systemd."; exit 0; } - fail() { echo "ERROR:" "$@" 1>&2; exit 1; } - journal="" - for d in /run/log/journal /var/log/journal; do - for f in $d/*/system.journal; do - [ -f "$f" ] || continue - [ -z "$journal" ] || - fail "multiple journal found: $f $journal." - journal="$f" - done - done - [ -f "$journal" ] || fail "no journal file found." - gzip --to-stdout "$journal" - -# vi: ts=4 expandtab |